Bug 987968 - rhevm-reports - Can not access Dashboard / Reports portal
rhevm-reports - Can not access Dashboard / Reports portal
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-reports (Show other bugs)
3.2.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Yaniv Lavi
David Botzer
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 09:35 EDT by Koen van Bakel
Modified: 2016-02-10 14:25 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-12 07:23:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Koen van Bakel 2013-07-24 09:35:04 EDT
Description of problem:

After upgrading to the latest level of RHEV (3.2.1-0.39.el6ev) the Reports Portal and reports functionality in the Webadmin interface are not accessable.

This problem is earlier described in BZ861077


Version-Release number of selected component (if applicable):

RHEVM 3.2.1-0.39.el6ev

How reproducible:

Upgrade to this level and try to access the Reports Portal


Steps to Reproduce:
1.
2.
3.

Actual results:

You will get the RHEV landing page in your browser.


Expected results:

Should be presented the Reports Portal

Additional info:

When you upgrade the jasperreports-server-pro package to the latest release (4.7.1-3) and rerun the rhevm-reports-setup then all functionality is restored.

I propose that when an update is available for the rhevm-reports function also a check has to be done for the jasperreports-server-pro package.
Comment 1 Julio Entrena Perez 2013-07-30 11:46:49 EDT
(In reply to Koen van Bakel from comment #0)
> 
> When you upgrade the jasperreports-server-pro package to the latest release
> (4.7.1-3) and rerun the rhevm-reports-setup then all functionality is
> restored.
Customer already had jasperreports-server-pro 4.7.1-3.

Running 'rhevm-reports-setup' eventually bought reports portal back (not immediately though).

Unfortunately now all data is missing (not sure if this is a separate issue thought).
Comment 2 Yaniv Lavi 2013-08-01 04:41:31 EDT
Julio, what data is missing?
Barak, this is a z stream bug can you scrub it to z stream?



Yaniv
Comment 3 Julio Entrena Perez 2013-08-01 06:55:32 EDT
(In reply to Yaniv Dary from comment #2)
> Julio, what data is missing?

Yaniv: after further review seems that missing data predates the upgrade to 3.2, data stopped being updated when cupstomer upgraded from 3.1.3 to 3.1.4 but customer didn't notice that until after the upgrade to 3.2, so please disregard comment 1.
Comment 4 Barak 2013-08-01 13:46:31 EDT
Just to make sure we are not missing anything:

There are 2 issues above,
1 - post rhevm-upgrade to 3.2.1 from 3.1.4 the Reports Portal and reports functionality in the Webadmin interface are not accessable, but after running the rhevm-reports-setup everything is o.k. (access to the reports ..)

 2 - somewhere in the past the (assuming upgrade from 3.1.1 to 3.1.4) the dwh stopped functioning 


Is this correct ?

About  #1 above  it's AFAIR works as design,
I'm sure that one of the messages in the given by the rhevm-upgrade script was to execute the  rhevm-reports-setup.


About #2 we need to understand the reason,

Was the DWH service running ?
Comment 6 Yaniv Lavi 2013-08-12 07:23:47 EDT
According to the comments, not a bug. closing this.



Yaniv

Note You need to log in before you can comment on or make changes to this bug.